Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Can't upgrade CPG; can't even login  (Read 341 times)

0 Members and 1 Guest are viewing this topic.

Manutjee

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 80
Can't upgrade CPG; can't even login
« on: July 16, 2018, 04:51:42 pm »

Hey everyone,

I've been told that there's been a security release for Coppermine recently in terms of getting it to work with PHP 7.0.
However... I've been having these issues.

I can't login to Coppermine so I'm not even able to upgrade it and switch from PHP 5.6 to PHP 7.0
I keep getting the error: "Warning your browser does not accept script's cookies" and with the new EU-law (GDPR etc) I need things to work properly.

I've also been reading about getting into phpMyAdmin and what not, but I have no clue how this works.

Is someone able to help me out and get things up and running without errors?
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 913
Re: Can't upgrade CPG; can't even login
« Reply #1 on: July 16, 2018, 09:46:47 pm »

Uninstall Cookie Consent Plugin
Logged

Manutjee

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 80
Re: Re: Can't upgrade CPG; can't even login
« Reply #2 on: July 16, 2018, 10:23:39 pm »

Uninstall Cookie Consent Plugin

That's already done. Still having issues.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4560
    • Windsurf.me
Re: Can't upgrade CPG; can't even login
« Reply #3 on: July 16, 2018, 11:21:15 pm »

Now try a different browser
Logged
It is a mistake to think you can solve any major problems just with potatoes.

Manutjee

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 80
Re: Can't upgrade CPG; can't even login
« Reply #4 on: July 17, 2018, 12:46:03 pm »

It wasn't a browser issue.
It was a wrong value in the Coppermine database.

Fixed by changing 1 to 0 in cookies_need_consent in cpg_config table in Coppermine's database
Logged
Pages: [1]   Go Up
 

Page created in 0.014 seconds with 20 queries.